/**
 * ResearchSpace
 * Copyright (C) 2020, © Trustees of the British Museum
 * Copyright (C) 2015-2019, metaphacts GmbH
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

.navbar {
  min-height: $nav-height;
  height: $nav-height;
  border: none;
  font-size: 14px;
  margin-bottom: 0px;
  color: $color-navbar;

  .container {

    height: 100%;
  }
}

.rs-header,
.navbar-header,
.collapse.navbar-collapse,
.navbar-nav,
.navbar-nav > li,
.navbar-nav > li > a {
  height: 100% !important;
}

.searchbar-dropdown {
  width: 400px;
  padding-left: 13px;
  padding-right: 13px;
}

.navbar-header {
  display: flex;
  align-items: center;
}

.navbar-default {
  background-color: $color-navbar-bg;

  .navbar-brand {

    color: $color-dark;

    &:hover, 
    &:focus {
      color: $color-dark--op75;
    }
  }

  & .navbar-toggle {
    border-color: #dedede;
    border-radius: 6px;
    margin-top: 0;
    margin-bottom: 0;

    &:hover,
    &:focus {
      background-color: $color-primary-100;
    }

    & .icon-bar {
      background-color: $color-white;
    }
  }

  & .navbar-nav > li > a {
    color: $color-navbar;

    &:focus,
    &:hover {
        background-color: inherit;
      
    }
  }

  & .navbar-nav > .open > a, 
  & .navbar-nav > .open > a:hover, 
  & .navbar-nav > .open > a:focus {

    color: $color-navbar;
    opacity: 0.6;
  }

  & .navbar-nav.icon-btns-container > li > a {

    padding: 0;
  }

  .nav-iconAndLabel {

    color: $color-navbar;
    width: 76px;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    line-height: 1;
    font-size: 12px;
    padding: 8px;
    font-weight: 700;
    border-radius: 5px;

    i {

      font-size: 19px;
      padding-bottom: 8px;
      color: inherit;

      &.rs-icon-diagram {
        font-size: 23px;
        padding-bottom: 5px;
      }
    }

    &:focus,
    &:hover {
      background-color: #ffffff24;
    
    }
  }

  .vl {
    background-image: linear-gradient($color-navbar, $color-navbar);
    background-size: 1px 100%;
    background-repeat: no-repeat;
    background-position: center center;
    width: 60px;
  }

  .navbar-nav > .open > a,
  .navbar-nav > .open > a:hover,
  .navbar-nav > .open > a:focus {
    background-color: $color-dark;
  }

/*   a#main-header-dropdown {
    font-family: $font-family-base;
    font-size: 13.5px;
    background-color: transparent;
    font-weight: 600;

    &:hover {
      color: $color-navbar;
      opacity: 0.7;
    }

    &:focus {
      outline: none;
      border: none;
      color: $color-navbar;
      opacity: 0.7;
    }

    .caret {
      margin-left: 8px;
    }
  } */

  
  .dropdown:hover .dropdown-menu {
    display: block;
  }
  
  #iconAndText-dropdown {
    height: 100%;

    color: $color-navbar;
    width: 76px;
    border: none;
    border-radius: 5px;
    padding: 8px;
    display: flex;
    align-items: baseline;
    justify-content: center;

    &:focus,
    &:hover {
      background-color: #ffffff24;
    }

    & .navDropdown-iconAndLabel {

      display: flex;
      flex-direction: column;
      align-items: center;
      text-align: center;
      line-height: 1;
      font-size: 12px;
      font-weight: 700;

      i {
        font-size: 19px;
        padding-bottom: 8px;
        color: inherit;
      }
    }
  }

  .dropdown-menu {

    padding: 5px 0;
    border: 1px solid $input-border-color;
    background-color: $color-white;

    & > li > a {

      color: $color-dark;
      font-size: 12.5px;
      font-weight: 600;
      line-height: 1.2;
      padding: 7px 18px;

      &:focus,
      &:hover {
        background-color: $color-primary-50;
        color: $color-dark;
        font-weight: 600;
        font-size: 12.5px;
      }
    }

    & .divider {
      margin: 3px 0px 5px 0px;
      height: 0.8px;
    }
  }

  .align-right-dropdown .dropdown-menu {

    right: 0;
    left: unset;
  }

  .text-dropdown {

    color: $color-navbar;
    font-size: 13.5px;
    font-weight: 600;

    & > a {
/*       &:hover {
        color: $color-navbar;
        opacity: 0.6;
      } */

      /* &:focus {
        outline: none;
        border: none;
        color: $color-navbar;
        opacity: 0.6;
      } */
    }

    .caret {
      margin-left: 8px;
    }

    & .dropdown-menu {
      top: 55px;
    }
  }

  .rs-dropdown-sectionTitle {
    font-family: $font-family-base;
    font-weight: 800;
    color: $color-dark;
    font-size: 12px;
    line-height: 1.2;
    padding: 5px 8px !important;
    letter-spacing: 0.2px;
  }

  .rs-documentation-icon {
    font-size: 18px;
    padding: 16px 6px 10px 35px;
  }

  /* .rs-setting-icon {
    font-size: 17px;
  } */

  .rs-navigate-input {
    padding-right: 50px;
  }

  .rs-icon {

    color: $color-navbar;
    font-size: 16px;
  }
}

.rs-header-logo {
  border: none;
  padding-left: 25px;

  &:hover,
  &:focus {
    color: $color-navbar;
    text-decoration: none;
  }
}

.nav > li > a {
  padding: 0px 15px;
}

.user-dropdown_item {
  display: flex;
  align-items: center;

  .rs-icon-user_round,
  .rs-icon-logout {
    color: $color-dark;
    margin-right: 9px;
  }
}

@media (max-width: 790px) {
  .navbar-nav {
    display: none;
  }
}

@media (max-width: 767px) {

  .navbar {
    height: auto;
  }

  .navbar-header {
    width: 100%;
    display: flex;
    align-items: center;
    padding: 15px 46px;
  }

  .navbar-nav {
    margin: 0px;

    & .dropdown-menu .divider {
      height: 0.8px;
      background-color: #e5e5e54d;
      margin: 7px 0px;
    }
  }

  .navbar-default {
    .dropdown-menu {
      margin-top: 0px;

      & > li > a {
        font-size: 14.5px;
        padding: 6px 28px !important;
        cursor: pointer;
  
        &:hover,
        &:focus {
          font-size: 14.5px;
        }
      }
    }

    .rs-nav-resources--margin.open .rs-dropdown-sectionTitle {
      font-size: 14px;
      color: $color-navbar;
    }

    & .navbar-nav .open .dropdown-menu > li > a:hover,
    & .navbar-nav .open .dropdown-menu > li > a:focus {
      background-color: rgba(145, 137, 184, 0.1);
      text-shadow: 0px 0px 0.5px $color-white;
    }
  }

  .rs-nav-resources--margin {
    
    & .btn-group.special {
      display: flex;
      flex-direction: column;
    }

    & .btn-group .btn {
      display: flex;
      flex-direction: row;
      justify-content: start;
    }
  }

  .navbar-default .navbar-nav > li > a,
  .navbar-nav .btn {
    text-transform: uppercase;
    font-size: 15px !important;
  }

  .nav > li > a {
    padding: 4px 15px;
  }

}

@media (min-width: 789px) {

  .collapse.navbar-collapse {
    display: flex !important;
    justify-content: space-between;
    align-items: center;
  }

  .navbar-collapse::before,
  .navbar-collapse::after {
    content: unset !important;
    display: unset !important;
  }

  .navbar-nav {
    margin: 0;

    & > li,
    & > li > a {
      display: flex;
      align-items: center;
    }
  }

  .rs-nav-about--margin {
    margin-left: 25px;
  }

  .rs-nav-resources--margin {
    margin-left: 15px;
  }
}

@media (min-width: 789px) and (max-width: 1125px) {
  .navbar-nav > li > a {
    padding: 0 6px;
  }
  .searchbar-dropdown {
    width: 200px;
  }
  .navbar-nav > li > a {
    font-size: 12.5px;
  }

  .navbar-default {
    .rs-documentation-icon {
      font-size: 16px;
      padding: 16px 6px 10px 15px;
    }

    /* .rs-setting-icon {
      font-size: 16px;
    } */

    .rs-body-m-M {
      font-size: 12.5px;
    }

    input {
      width: 100px;
    }

    .rs-navigate-input {
      padding-right: 5px;
    }

    .rs-search-icon {
      height: 21px;
      width: 21px;
    }
  }
}

@media (min-width: 1125px) and (max-width: 1240px) {

  .searchbar-dropdown {
    width: 200px;
  }

  .navbar-nav > li > a {
    padding: 0 10px;
  }

  .navbar-nav > li > a {
    font-size: 12.5px;
  }

  .navbar-default {
    .rs-documentation-icon {
      font-size: 16px;
      padding: 16px 6px 10px 5px;
    }

  /*   .rs-setting-icon {
      font-size: 16px;
    } */

    .rs-body-m-M {
      font-size: 12.5px;
    }

    input {
      width: 120px;
    }

    .rs-navigate-input {
      padding-right: 15px;
    }

    .rs-search-icon {
      height: 21px;
      width: 21px;
    }
  }
}

@media (min-width: 950px) {
  .rs-nav-about--margin {
    margin-left: 60px;
  }

  .rs-nav-resources--margin {
    margin-left: 30px;
  }
}
@media only screen and (max-width : 1018px) {
  .searchbar {
      display: none !important;
  }
}